Bug 291281 - LiveCd needs a boot cmdline option to override graphics driver choice
LiveCd needs a boot cmdline option to override graphics driver choice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On: 433501
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 13:26 EDT by Hans de Goede
Modified: 2013-01-09 23:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-14 13:26:58 EDT
Description of problem:
I wanted to demo the Fddora-7 LiveCD to a student of mine, put it in his laptop,
booted, black screen.

Workaround:
Add " 3" to the boot cmdline, edit /etc/X11/xorg.conf to change driver from
radeon to vesa, telinit 5

Proposed solution:
A way to specify the graphics driver (and resoltion) from the boot menu.

Note this might already exist, but there are no livecd boot cmdline docs
anywhere to be found on the wiki.
Comment 1 Jeremy Katz 2007-09-17 16:38:20 EDT
Supporting passing a driver (probably reusing xdriver like used in anaconda) is
easy and will be in for test3.

But system-config-display doesn't seem to want to listen to --set-resolution (or
--set-hysnc and --set-vsync) any more, so they're a bit more complicated.  ajax?
Comment 2 Adam Jackson 2007-09-20 16:10:46 EDT
Weird.  I'll take a look.
Comment 3 Denis CHENU 2008-02-12 20:07:59 EST
Same think for LiveCD 9 testing.

With my labtop, i have to force less than 1024x768 to have something.

With DVD, i use: vesa or 800x600, but with CD, nothing change.

Thank
Comment 4 Hans de Goede 2008-05-01 05:24:57 EDT
Hi, any progress / news on this?
Comment 5 Bug Zapper 2008-05-13 23:13:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Adam Jackson 2008-08-12 10:49:59 EDT
--set-resolution seems to work here, but --set-[hv]sync don't want to create a monitor section if none exists.  joy!
Comment 7 Bug Zapper 2009-06-09 18:50:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:48:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.